---
title: "Authoritarianism Through Coding: Signal"
summary: >
  This isn't a theoretical piece about freedom and digital technologies. This is a real ongoing trend that is at best observed around secure messaging application Signal by Open Whisper Systems and it's founder Moxie Merlinspike. His view and management of Signal reflects a wider trend that jepordises world's freedom.
date: 2020-03-03T07:06:00+03:00
categories:
- freedom
photo:
  url: /images/yazilar/signal.png
  urlband: /images/yazilar/signal-band.jpg
  author: Signal logo
  alt: Signal logo
---
This isn't a theoretical piece about freedom and digital technologies. This is a real ongoing trend that is at best observed around secure messaging application Signal by Open Whisper Systems and it's founder Moxie Merlinspike. His view and management of Signal reflects a wider trend that jepordises world's freedom.

Signal is a secure messaging software that has changed the field a lot. Signal is built upon propriety software Textsecure and RedPhone applications that had been developed by Merlinspike and his co-founder Stuart Anderson. When Twitter acquired Whisper Systems, it releases both software under free software licenses. Merlinspike left Twitter acquired Whisper Systems, founded Open Whisper Systems and merged -once the private property of himself- TextSecure and Redphone into Signal.

Signal is free software. "Free as in freedom", their client and server code is licenced under GPLv3 and AGPLv3. This makes the code and only the code itself pro-freedom. Just because the code it self free does not necessarily make the coder "free" as well and that is the problem we face today!

Open Whisper Systems led by Moxie Merlinspike, who is behind Signal, is and was never behind freedom. This has been seen in the light of LibreSignal (https://github.com/LibreSignal/LibreSignal/issues/37#issuecomment-217211165) debate where a fork of Signal client is build without unfree dependencies and published on the F-droid free software repository on Android. After much debate about federation, the claimed server resources and freedom, followed by legal trademark threats Libresignal has been removed from F-droid and so was anybody's chance of using Signal as a secure messenger who doesn't use Google services. [Wire](https://wire.com/en/blog/axolotl-proteus-encryption-protocols/) case is just another example.

This approach is not only a threat to free software it is a recurring threat to human kind!

To prove this bold claim one needs to look at one recent blog post from Open Whisper Systems and a presentation made in 36C3 by Merlinspike.

[Signal's blog post](https://signal.org/blog/the-ecosystem-is-moving/)
[Matrix's blog Post](https://matrix.org/blog/2020/01/02/on-privacy-versus-freedom/)

The main points of his claims can be listed as follows:

- Decentralized systems are harder to build
- Decentralized systems are harder to evolve
- Decentralized systems are harder to secure
- Decentralized systems are becoming concentrated in predominant provider anyways
- If users don't trust their app provider they have the freedom to use something else

While his claims are true up to a certain point they are only superficial. Through these points Merlinspike claims that, centralized services are superior in modern times!

[anyone who is interested in the depth of this debate can start reading Martix's answer to Merlinspike at the link here](https://matrix.org/blog/2020/01/02/on-privacy-versus-freedom/)

It is really unnecessary to explain in depth why this type of thinking is dangerous when a simple change in words can tell more than 1000 page work. Let's rename the object and compare his digital dystopia with one that has occured several times through-out analog human history and which once again recures today;

- Democracies are harder to build
- Democracies are harder to improve
- Democracies are harder to secure
- In democracies power is becoming concentrated in predominant hands anyways
- If people do not like their democracy provider (country) they have the freedom to leave and go another provider.

One doesn't need to think hard to see what Merlinspike is advising. He claims democracies suck because of the hardships of human organization and proposes autocracy to manage the world in favour of the helpless people occupying it. Why? Because democracies are inefficient and people don't want that!

If he had given the same statement about democracies and governmental politics as he gave about federative systems it would have provoked outrage! People died for freedom, they are still dying and struggling around the globe. Then someone comes and stomps over every ideal which human society ever build up until this point in history and proclaims themselves the world leader! Think about it!

The example given is bad but why are Merlinspike's claims about decentralized systems not considered bad as well? Because digital freedom has not yet been lost and won by blood or are we still asleep? Just because code is free, it doesn't necessarily mean that the coders mind is also free! Freedom is not just a license, it is an ideal in any condition that we must stand for!
