---
title: "Kullanmaktan kaçınılması gereken kelimeler"
summary: >
  Özgür yazılım ve özgürlük üzerine konuşurken, bazı kelimeler konuştuğumuz konuyu bağlamından çıkartabilmekte ve bizi yanılgıya düşürebilmektedir. Bu tarz kullanımdan kaçınılması gereken veya kullanılırken dikkatli olunması gereken kelimeleri listeledik.
date: 2020-02-22T11:38:03+03:00
categories:
- ozgurluk
photo:
    url: /images/yazilar/wta.png
    urlband: /images/yazilar/wta.png
    author: NC
    alt: Kötü dil
---

Özgür yazılım ve özgürlük üzerine konuşurken, bazı kelimeler konuştuğumuz konuyu bağlamından çıkartabilmekte ve bizi yanılgıya düşürebilmektedir. Bu tarz kullanımdan kaçınılması gereken veya kullanılırken dikkatli olunması gereken kelimeleri listeledik.

### Açık

Özgür bir yazılımdan, donanımdan, sanat eserinden ya da belgeden bahsederken, "özgür" yerine "açık" ifadesini kullanmak, bahsedilen şeyin bağlamını "özgürlük" noktasından çıkartarak farklı bir yöne sürüklemektedir. Özgür yazılım, daha doğrusu özgür "x" veya "x özgürlüğü" ifadeleri, var olan şeyin özgürlüğüne vurgu yaparak tarihsel süreçleri ve birikimleri olan bir hak mücadelesine referans verirken, açık ifadesini kullandığımızda bütün bu kümülatif birikimi hiçe saymış oluruz. Bu yüzden **"açık kaynak"** yerine **"özgür yazılım"**, **"açık donanım"** yerine **"özgür donanım"**, **"açık belge"** yerine **"özgür belge"** ifadelerini kullanmak daha doğru olacaktır.

### Bayan

Kadınlardan bahsederken lütfen "bayan" ifadesini kullanmayın. Kadın kadındır.

### Bedava / Ücretsiz

Dünyanın neredeyse bütün dillerine "ücretsiz" ve "özgür" iki ayrı kelimeyle ifade edilirken, maalesef ki _lingua franca_mız İngilizce'de ikisi aynı kelimeyle ifade ediliyor. Bu da, İngilizce'den çevirilen metinlerde, "free software" ifadesinin hem "ücretsiz yazılım" hem de "özgür yazılım" olarak çevirilebilmesine olanak sağlıyor. "Free software" ifadesi, yalnızca yazılımın özgürlüğüne vurgu yapar, "free" kelimesinin "ücretsiz" anlamıyla bir ilgisi yoktur.

### Bulut

"Bulut (bilişim)" veya "cloud (computing)" ifadeleri, temelde anlamı açık olmayan ifadelerdir. İnternet'e bağlı olmak veya İnternet üzerinden iletişim kurmak haricinde birbiriyle ilgisi olmayan birçok alan için ortak olarak kullanılmakta, bu da kavramsal bir karmaşaya sebebiyet vermektedir. Bulut denilen şey temelde uzakta bulunan bir bilgisayar veya bilgisayarlardan ibarettir, ancak kelimenin kendisi (özellikle de serverless gibi yeni kelimelerin de etkisiyle) kullanıcının üzerinde sanki karşı tarafta bir bilgisayar yokmuş gibi bir algı yaratır.

Hazır veri depolama sunucusu hizmetleri de, SaaSS sistemleri de, uzak VPS sunucular da, Nextcloud gibi kendi sunucularınızı kurabileceğiniz yapılar da ortak olarak bulut ifadesini kullanmaktadır. Bunlardan özellikle hazır veri depolama sunucuları (Örn: Google Drive, Yandex.Disk veya OneDrive gibi) ve SaaSS'lar birer gözetim aracıdır ve mahremiyet düşmanı haline gelebilir.

Bulut yerine "uzak sunucu", "depolama sunucusu" veya "VPS" gibi amacına uygun kelimeler kullanmayı tercih edebilirsiniz.

### Creative Commons lisanslı

Creative Commons, basitçe yazılım olmayan içerikler için kullanılan bir lisans grubudur. Creative Commons lisanslarından bazıları özgür, bazıları ise değildir. Bir medya için "Creative Commons ile lisanslı" ifadesini kullandığınızda, özgür olup olmadığına dair herhangi bir ifade kullanmış olmazsınız. Çünkü CC lisanslarından yalnızca üç tanesi (CC0, CC BY, CC BY-SA) özgür lisanslardır, diğerleri ise **mülktür**.

Bu sebepten, eğer özgür bir CC lisansı ile lisanlanmış bir içeriğin özgür olduğunu ifade etmek istiyorsanız, "özgür CC lisanslı" veya örneğin "CC BY-SA lisanslı" ifadelerini kullanmanız daha doğru olacaktır.

### Dijital Haklar Yönetimi

DRM, sadece kullanıcılar üzerinde tahakküm kurmak ve kullanıcıların özgürlüklerini kısıtlamak için kullanılan bir yöntemdir. DRM'in açılımındaki "haklar" (_İng._ Digital Rights Management) ifadesi, sadece kara propaganda amacıyla kullanılmaktadır, gerçeklikle örtüşmemektedir. Bu yüzden, tepkinizi göstermenizi ve DRM için gerçekten bir açılıma ihtiyacınız varsa "Dijital Kısıtlamalar Yönetimi" (_İng._ Digital Restrictions Management) ifadesini kullanmak duruma daha uygun olacaktır.

### Ekosistem

Özgür yazılım topluluğu veya özgür yazılımları bir "ekosistem" olarak tanımlamak yanlıştır. Çünkü ekosistem, özgür iradenin ve etik anlayışın yokluğunu, güçlü olanın zayıf olanı, büyüğün küçüğü yemesini ifade eder. Doğada hayvanların birbirini yemesi olağandır, ancak özgür yazılım topluluğunda "barış içerisinde bir arada bulunmak" esastır, güçlü zayıfı ez(e)mez. Bu sebepten lütfen özgür yazılıma ve ilintili konulara "ekosistem" etiketini yapıştırmayın.

### Erişim

Erişim, özellikle de "açık erişim", açık kaynaktan daha tehlikeli ifadelerdir. Genellikle akademi çevresinden olan insanların kullanırken "ağız alışkanlığı" olarak tanımladığı "açık erişim" ifadesi, özgür yazılım felsefesinin getirdiği temel özgürlükleri hiçe sayar, yalnızca yazılıma veya veriye ulaşabilmeyi hedefler. Örneğin Vikipedi'yi özgür yapan şey, üzerindeki maddelerin ve diğer içeriğin 4 temel özgürlüğü sağlamasıdır, açık erişim ise ilgili veriyi yalnızca okuyabilmeyi (eyes only) savunmaktadır. Bu yüzden "açık erişimli yazılım" veya "erişilebilir yazılım" gibi ifadeler yerine "özgür yazılım" ifadesini kullanmak daha doğrudur.

### Google'lamak

Bir web araması yaparken kullanabileceğimiz tek arama motoru Google değildir. [DuckDuckGo](https://duckduckgo.com) gibi mahremiyetinize saygı gösteren arama motorları da vardır. Bu sebeple web aramasından bahsederken "web'de aramak" veya sadece "arama yapmak" ifadelerini kullanmak daha uygundur.

### Kapalı

Özgür olmayan yazılımlar, **mülk yazılımlardır**; mülk yazılımları "kapalı" ifadesiyle nitelemek, açık kaynağa bir referans vermektedir. Bu yüzden doğru ifade "mülk yazılım" (_İng._ proprietary software) olacaktır.

### LAMP / LEMP

LAMP, genellikle sistem yönetimine yeni başlayan kişilerin ilk tanıştığı kişiler tarafından, GNU/Linux sunucuların üzerine hızlıca web sunucusu ve veritabanı kurmayı salayan bir araçlar bütünüdür. Açılımı, "Linux, Apache, MySQL, PHP"dir. Ancak Linux çekirdeği tek başına bir anlam ihtiva etmediği için ve işletim sistemimiz GNU işletim sistemi olduğu içim, doğru kullanım "GLAMP" (GNU, Linux, Apache, MySQL, PHP)

### Linux işletim sistemi

Linux, 1991 yılında Linus Torvalds tarafından geliştirilmeye başlanan yekpare (monolitik) bir işletim sistemi çekirdeğidir. Linux, yanında bir işletim sistemi olmadan hiçbir işe yaramaz, ayrıca işletim sisteminin görece küçük bir parçasıdır. İşletim sisteminin adı GNU'dur, GNU ve Linux çekirdeği bir araya gelerek GNU/Linux işletim sistemini oluşturur. Bu yüzden, hem GNU projesinin itibarı için hem de işletim sisteminin kalanını çekirdekten ayırmak için **GNU/Linux** ifadesini kullanmanızı tavsiye ederiz.

### FOSS

FOSS ifadesi, özgür yazılım ve açık kaynak arasında orta yolculuk görevini üstlenmesi amacıyla uydurulmuş bir kelimedir. Açılımı "Free and open source software" (_Trk._ Özgür ve açık kaynak yazılım) olsa da, "free" kelimesinin İngilizce'de hem özgür hem de bedava anlamına gelmesinden mütevellit maalesef ki genelde "Ücretsiz ve açık kaynaklı yazılım" olarak algılanmaktadır.

Eğer orta yolcu olmak istiyorsanız, FOSS yerine FLOSS ifadesini kullanmanız bir miktar daha doğru olacaktır (Free, libre and open source software). Ancak özgürlüğün tarafındaysanız, en doğrusu **özgür yazılım** demenizdir.

### PC

PC ile bu noktada kastedilen elbette ki "kişisel bilgisayar" anlamındaki "PC" değil, Windows çalıştıran makineler için "PC" ifadesini kullanmaktır. Bunu en çok, bir yazılımı kendi sitesinden indirirken "PC/Mac/Linux" şeklinde görürsünüz. PC, üzerinde çalışan işletim sisteminden bağımsız olarak "kişisel bilgisayar" anlamına gelmektedir.

Windows çalıştıran bilgisayarlar için "WC" ifadesini öneriyoruz.

### PowerPoint

Microsoft PowerPoint, sunum hazırlamak için kullanılan tek program değildir, LibreOffice Impress veya LaTeX'te beamer sınıfı gibi farklı özgür sunum yazılımları da vardır. Bu yüzden sunum hazırlama yazılımları ve sunular için lütfen "PowerPoint" ifadesini kullanmayın.

### Skype yapmak

Çevrimiçi görüntülü görüşme için "skype yapmak" ifadesi ziyadesiyle yaygınlık kazanmıştır. Ancak Skype, Microsoft tarafından geliştirilen mülk bir yazılım, aynı zamanda kullanıcılarını gözetleyen bir mahremiyet düşmanıdır. Skype için bir alternatif arıyorsanız, [Jitsi](https://meet.jit.si/) öneriyoruz.

### Ticari yazılım

Bir yazılımın özgür yazılım olabilmesi için gereken ilk özgürlük, yazılımı her koşulda çalıştırabilme özgürlüğüdür. Dolayısıyla, özgür bir yazılım **ticari amaçlarla da kullanılabilir**. Ayrıca ticari kullanım için hazırlanmış bir yazılım (Ör: GNU Health, GNU Cash, GNU Taler vb.) bütünen özgür olabilir. Bu yüzden, özgür olmayan yazılımları tanımlamak için "ticari yazılım" ifadesini kullanmak yanlıştır. Ayrıca özgür ticari yazılımlar topluluğumuza ve kültürümüze çok önemli bir katkıdır, bu sebeple özgür ticari yazılımları desteklememiz gerekir.
