---
title: "Neden \"şifre değil parola\"?"
summary: >
  Özgür yazılım veya hack kültürü ile ilgili bir ortama girdiğinizde, sürekli "şifre değil parola" diye birilerinin uyarıldığını duyarsınız. Peki neden "şifre değil parola" diye söyleyip duruyoruz?
date: 2020-02-22T10:38:03+03:00
author: Özcan Oğuz
categories:
- ozgurluk
photo:
    url: /images/yazilar/parola-sq.jpg
    urlband: /images/yazilar/parola.jpg
    author: Santeri Viinamäki/Commons | CC BY-SA 4.0
    alt: Parola
---
_Özcan Oğuz_

Özgür yazılım veya hack kültürü ile ilgili bir ortama girdiğinizde, sürekli "şifre değil parola" diye birilerinin uyarıldığını duyarsınız. Peki neden "şifre değil parola" diye söyleyip duruyoruz? Bu ifadeyi ilk defa duyanlar, bazen hatalı olarak sanki "şifre" diye bir şey hiç yokmuş gibi düşünebiliyor. Ancak durum biraz daha farklı.

Aslında bu sorunun çok basit bir cevabı var: Neden domatese patates demiyoruz?

**Şifre** (_İng._ cipher), bir verinin üçüncü şahıslar tarafından anlaşılamayacak hale getirilmesi anlamına gelir. Örneğin, "Özgür yazılım, özgür toplum" mesajını [AES-256](https://tr.wikipedia.org/wiki/AES) algoritması ile şifrelediğimizde aşağıdaki gibi bir sonuç elde ederiz:

```jA0EBwMCRvX3Ocj9+fRg0lQBaubs4YPrjaIjRDLKrQa6BPKgDO0dX06HDke8eEtj  
zFAVU3YtpWUe5MH5h+14fXR/4TEQ/EescABfwVkWNoGD7sNpTdUsXdk41TTT1Rbf  
pupPvsc==LA9X
```

Bu şifreyi çözmek için, bir **anahtara** ihtiyaç duyarız. Bu anahtar farklı şekillerde olabileceği gibi, bir **parola** da olabilir.

**Parola** (_İng._ password), bir sisteme veya alana girmek veya tanımlanmak için kullanılan sırra verilen isimdir. Örneğin misafirliğe gittiğiniz evin kablosuz ağının **parolasını** istersiniz, **şifresini değil**. Ancak yönlendirici ile bilgisayarınız arasındaki iletişim **şifreli** iletişimdir.

Bu noktada akıllarda temel bir soru oluşuyor: _Ha parola demişim ha şifre ne fark eder ki?_

Evet; özgür yazılım felsefesi ve kültürü ile tanışmamış olan, hack kültürü ile uzaktan yakından bağlantısı olmayan insanlar için muhtemelen fark etmeyecektir. Ancak özgür yazılım **altkültürü** içerisinde bu durum böyle değildir.

Dil, iletişimimizin ve kültürümüzün en temel araçlarından biridir. Her altkültür, kendi **jargonunu** taşır. Jargon, altkültürün üyelerini birbirine bağlayan yegane unsurdur ve üyelerin birbirileriyle aynı noktadan iletişim kurmalarını sağlar. "Şifre değil parola", "Linux değil GNU/Linux", "Gizlilik değil mahremiyet" gibi sürekli kullanılan ifadeler, genelde altkültüre dahil olmaya çalışan yeni insanlara işbu jargon nesnelerini kazandırabilmek için bu kadar sık kullanılır. Ayrıca pek çok noktada kavram kargaşasını da engeller.

Örneğin, "Geçen GnuPG ile şifrelediğim dosya için gereken şifreyi açacak şifreyi unutmuşum." ifadesinin ne kadar kafa karıştırıcı olduğunu fark ettiniz mi? Ancak bu cümle şöyle olsaydı çok daha anlaşılır olacaktı: "Geçen GnuPG ile şifrelediğim dosya için gereken anahtarı açacak parolayı unutmuşum."

Olması gereken yerde "şifre" yerine "parola" ifadesini kullanmak bir jargon nesnesi olduğu gibi, aynı zamanda dilin doğru ve etkin kullanımına da olanak sağlayacaktır.

<!-- oo -->
